Loading...
Searching...
No Matches
Opm::AquiferConfig Class Reference

## Public Member Functions

| AquiferConfig (const TableManager &tables, const EclipseGrid &grid, const Deck &deck, const FieldPropsManager &field_props)
| AquiferConfig (const Aquifetp &fetp, const AquiferCT &ct, const AquiferFlux &aqufluxs, const Aquancon &conn)
void | load_connections (const Deck &deck, const EclipseGrid &grid)
void | pruneDeactivatedAquiferConnections (const std::vector< std::size_t > &deactivated_cells)
void | loadFromRestart (const RestartIO::RstAquifer &aquifers, const TableManager &tables)
void | appendAqufluxSchedule (const std::unordered_set< int > &ids)
bool | active () const
const AquiferCT & | ct () const
const Aquifetp & | fetp () const
const AquiferFlux & | aquflux () const
const Aquancon & | connections () const
bool | operator== (const AquiferConfig &other) const
bool | hasAquifer (const int aquID) const
bool | hasAnalyticalAquifer (const int aquID) const
bool | hasNumericalAquifer () const
bool | hasAnalyticalAquifer () const
const NumericalAquifers & | numericalAquifers () const
NumericalAquifers & | mutableNumericalAquifers () const
template<class Serializer>
void | serializeOp (Serializer &serializer)

## Static Public Member Functions

static AquiferConfig | serializationTestObject ()

The documentation for this class was generated from the following files:

- opm/input/eclipse/EclipseState/Aquifer/AquiferConfig.hpp
- opm/input/eclipse/EclipseState/Aquifer/AquiferConfig.cpp